summaryrefslogtreecommitdiff
path: root/contrib/competitions/casc/run-script-casc28-fof
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/competitions/casc/run-script-casc28-fof')
-rw-r--r--contrib/competitions/casc/run-script-casc28-fof51
1 files changed, 51 insertions, 0 deletions
diff --git a/contrib/competitions/casc/run-script-casc28-fof b/contrib/competitions/casc/run-script-casc28-fof
new file mode 100644
index 000000000..a9ed73369
--- /dev/null
+++ b/contrib/competitions/casc/run-script-casc28-fof
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# script is used for FOF division
+
+here=`dirname $0`
+cvc5=$here/cvc5
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc5-fof casc 28 : $bench at $2..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-granularity=off --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-granularity=off --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 300 seconds
+trywith 10 --decision=internal --simplification=none --no-inst-no-entail --no-quant-cf --full-saturate-quant
+trywith 5 --no-e-matching --full-saturate-quant
+trywith 5 --no-e-matching --fs-sum --full-saturate-quant
+trywith 5 --finite-model-find --uf-ss=no-minimal
+trywith 5 --multi-trigger-when-single --full-saturate-quant
+trywith 5 --trigger-sel=max --full-saturate-quant
+trywith 5 --multi-trigger-when-single --multi-trigger-priority --full-saturate-quant
+trywith 5 --multi-trigger-cache --full-saturate-quant
+trywith 5 --prenex-quant=none --full-saturate-quant
+trywith 5 --fs-interleave --decision=internal --full-saturate-quant
+trywith 5 --relevant-triggers --full-saturate-quant
+trywith 5 --finite-model-find --fmf-inst-engine --sort-inference --uf-ss-fair
+trywith 10 --pre-skolem-quant --full-saturate-quant
+trywith 10 --qcf-vo-exp --full-saturate-quant
+trywith 10 --no-quant-cf --full-saturate-quant
+finishwith --macros-quant --macros-quant-mode=all --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback